Skip to main content
`Ctrl`+`K`

# MatSeqAIJHIPSPARSEGetArrayWrite

gives write access to the array where the device data for a `MATSEQAIJHIPSPARSE` matrix is stored

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJHIPSPARSEGetArrayWrite(Mat A, PetscScalar *a[])

Not Collective

## Input Parameter

- A - a `MATSEQAIJHIPSPARSE` matrix

## Output Parameter

- a - pointer to the device data

## Note

Does not trigger host-device copies and flags data validity on the GPU

## See Also

Matrices, `Mat`, `MatSeqAIJHIPSPARSEGetArray()`, `MatSeqAIJHIPSPARSEGetArrayRead()`, `MatSeqAIJHIPSPARSERestoreArrayWrite()`

## Level

developer

## Location

src/mat/impls/aij/seq/seqhipsparse/aijhipsparse.hip.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages